export P=minizip-ng
export V=3.0.2
export B=next
export MAINTAINER=JuergenFischer
export BUILDDEPENDS="zlib-devel xz-devel bzip2-devel"

source ../../../scripts/build-helpers

startlog

[ -f $P-$V.tar.gz ] || wget -O $P-$V.tar.gz https://github.com/zlib-ng/$P/archive/refs/tags/$V.tar.gz
[ -f ../$P-$V/CMakeLists.txt ] || tar -C .. -xzf  $P-$V.tar.gz

vs2019env
cmakeenv
ninjaenv

mkdir -p build install
cd build

export INCLUDE="$(cygpath -aw ../osgeo4w/include);$INCLUDE"
export LIB="$(cygpath -aw ../osgeo4w/lib);$LIB"

cygpath -am ../osgeo4w/lib/cmake/zstd

cmake -G Ninja \
	-D CMAKE_BUILD_TYPE=Release \
	-D CMAKE_INSTALL_PREFIX=../install \
	-D MZ_FETCH_LIBS=OFF \
	../../$P-$V
ninja
ninja install

cd ..

export R=$OSGEO4W_REP/x86_64/release/$P-devel
mkdir -p $R

cat <<EOF >$R/setup.hint
sdesc: "zip manipulation library (development)"
category: Libs
requires: zlib
maintainer: $MAINTAINER
EOF

tar -C install -cjf $R/$P-devel-$V-$B.tar.bz2 include lib
cp ../$P-$V/LICENSE $R/$P-devel-$V-$B.txt
tar      -C .. -cjf $R/$P-devel-$V-$B-src.tar.bz2 osgeo4w/package.sh

endlog
